# 4LOOP SYMPHONY API client for node.js

SYMPHONY's unofficial [node.js][node] client library for using SYMPHONY Rest API.

## Alpha

This library is in Alpha. We will make an effort to support the library, but we reserve the right to make incompatible changes when necessary.

## Supported APIs

The full list of supported APIs can be found [here][symphony-api-doc]. The API endpoints are automatically generated, so if the API is not in the list, it is currently not supported by this API client library.

## Questions/problems?

- If you've found an bug/issue, please [file it on Bitbucket][bugs].

## Installation

This library is distributed on `npm`. In order to add it as a dependency, run the following command:

```sh
$ npm install node-4loop-symphony-api --save
```

## Initialize
```javascript
var symphony = require('node-4loop-symphony-api');

var SYMPHONY_AUTH_KEY = 'ACCESS_TOKEN';
var SYMPHONY_CODE = 'SUBSCRIPTION_ACCESS_CODE';
var SYMPHONY_KEY = 'SUBSCRIPTION_ACCESS_KEY';

// Initialize Symphony Client
var symphony_client = symphony.createClient({
    accessCode: SYMPHONY_CODE,
    accessKey: SYMPHONY_KEY,
    userAuthKey: SYMPHONY_AUTH_KEY
});
```


## Usage

Example: View all country you have on symphony:

```javascript
var symphony = require('node-4loop-symphony-api');
var SYMPHONY_AUTH_KEY = 'ACCESS_TOKEN';
var SYMPHONY_CODE = 'SUBSCRIPTION_ACCESS_CODE';
var SYMPHONY_KEY = 'SUBSCRIPTION_ACCESS_KEY';

// Initialize Symphony Client
var symphony_client = symphony.createClient({
    accessCode: SYMPHONY_CODE,
    accessKey: SYMPHONY_KEY,
    userAuthKey: SYMPHONY_AUTH_KEY
});

symphony_client.country.viewall(function (err, result) {
    if (err) {
        console.log('Encountered error', err);
      } else {
        console.log(result);
      }
});
```

# Symphony APIs

 * [ARTICLES][articles]
 * [BANKS][banks]
 * [BUNDLE (PRODUCT BUNDLE)][bundles]
 * [CARD TYPE][cardtypes]
 * [CATEGORIES][categories]
 * [COMPANY INFO][companyinfo]
 * [COUNTRY][country]
 * [CURRENCIES][currencies]
 * [CUSTOMER GROUP][customergroup]
 * [PAY TYPE][paytype]
 * [PERSONS][persons]
 * [PERSON TYPE][persontype]
 * [PRODUCT][product]
 * [PRODUCT TYPE][producttype]
 * [STORES][stores]
 * [STORE TYPES][storetypes]
 * [SUPPLIER][suppliers]
 * [TAGS][tags]
 * [TIME ZONES][timezones]




[articles]: https://bitbucket.org/fourloopph/node-4loop-symphony-api/wiki/Articles
[banks]: https://bitbucket.org/fourloopph/node-4loop-symphony-api/wiki/Banks
[bundles]: https://bitbucket.org/fourloopph/node-4loop-symphony-api/wiki/Bundles
[cardtypes]: https://bitbucket.org/fourloopph/node-4loop-symphony-api/wiki/Cardtypes
[categories]: https://bitbucket.org/fourloopph/node-4loop-symphony-api/wiki/Categories
[companyinfo]: https://bitbucket.org/fourloopph/node-4loop-symphony-api/wiki/Companyinfo
[country]: https://bitbucket.org/fourloopph/node-4loop-symphony-api/wiki/Country
[currencies]: https://bitbucket.org/fourloopph/node-4loop-symphony-api/wiki/Currencies
[customergroup]: https://bitbucket.org/fourloopph/node-4loop-symphony-api/wiki/Customergroup
[paytype]: https://bitbucket.org/fourloopph/node-4loop-symphony-api/wiki/Paytype
[persons]: https://bitbucket.org/fourloopph/node-4loop-symphony-api/wiki/Persons
[persontype]: https://bitbucket.org/fourloopph/node-4loop-symphony-api/wiki/Persontype
[product]: https://bitbucket.org/fourloopph/node-4loop-symphony-api/wiki/Product
[producttype]: https://bitbucket.org/fourloopph/node-4loop-symphony-api/wiki/Producttype
[stores]: https://bitbucket.org/fourloopph/node-4loop-symphony-api/wiki/Stores
[storetypes]: https://bitbucket.org/fourloopph/node-4loop-symphony-api/wiki/Storetypes
[suppliers]: https://bitbucket.org/fourloopph/node-4loop-symphony-api/wiki/Suppliers
[tags]: https://bitbucket.org/fourloopph/node-4loop-symphony-api/wiki/Tags
[timezones]: https://bitbucket.org/fourloopph/node-4loop-symphony-api/wiki/Timezones



## License

This library is licensed under MIT. Full license text is available in [LICENSE].

## Contributing

See [CONTRIBUTING].

[bugs]: https://bitbucket.org/fourloopph/node-4loop-symphony-api/issues
[contributing]: https://bitbucket.org/fourloopph/node-4loop-symphony-api/tree/master/CONTRIBUTING.md
[license]: https://bitbucket.org/fourloopph/node-4loop-symphony-api/LICENSE/tree/master/LICENSE
[node]: http://nodejs.org/
[request]: https://github.com/mikeal/request
[symphony-api-doc]: http://developer.symphonycms.io/
