/*
 * client.js: One Signal API client
 *
 * (C) 2015 Mondo Sports Ltd
 */

var parts = ['Articles','Banks','Bundle','CardType','Categories','CompanyInfo','Country', 'Currencies','CustomerGroup','PayType','Persontype','Persons','Product','ProductType','Stores','StoreTypes','Supplier','Tags','Timezones'];

parts.forEach(function (part) {
    let path = part.toLowerCase();
    exports[part] = require('./part/' + path)[part];
});

exports.createClient = function (options) {
    var client = {};

    parts.forEach(function (part) {
        let path = part.toLowerCase();
        client[path] = new exports[part](options);
    });

    return client;

}; // createClient
