/*
 * country.js: Country for Symphony Apps API
 *
 * (C) 2017 4LOOP Inc.
 */

var Client = require('./client').Client,
    util = require('util');

var Country = exports.Country = function(options) {
    Client.call(this, options);
}; // Apps

util.inherits(Country, Client);


Country.prototype.viewall = function(callback) {
    if (!this.options.userAuthKey) {
        return callback(new Error('Symphony Error (userAuthKey parameter required)'));
    }else if(!this.options.accessCode){
        return callback(new Error('Symphony Error (accessCode parameter required)'));
    }else if(!this.options.accessKey){
        return callback(new Error('Symphony Error (accessKey parameter required)'));
    }

    this.request('GET', ['countries'], this.options.accessCode, this.options.accessKey, this.options.userAuthKey, {}, callback, function(res, result) {
        callback(null, result);
    });
};


Country.prototype.view_states = function(callback) {
    if (!this.options.userAuthKey) {
        return callback(new Error('Symphony Error (userAuthKey parameter required)'));
    }else if(!this.options.accessCode){
        return callback(new Error('Symphony Error (accessCode parameter required)'));
    }else if(!this.options.accessKey){
        return callback(new Error('Symphony Error (accessKey parameter required)'));
    }

    this.request('GET', ['countries','states'], this.options.accessCode, this.options.accessKey, this.options.userAuthKey, {}, callback, function(res, result) {
        callback(null, result);
    });
};


Country.prototype.view_cities = function(callback) {
    if (!this.options.userAuthKey) {
        return callback(new Error('Symphony Error (userAuthKey parameter required)'));
    }else if(!this.options.accessCode){
        return callback(new Error('Symphony Error (accessCode parameter required)'));
    }else if(!this.options.accessKey){
        return callback(new Error('Symphony Error (accessKey parameter required)'));
    }
    
    this.request('GET', ['countries','cities'], this.options.accessCode, this.options.accessKey, this.options.userAuthKey, {}, callback, function(res, result) {
        callback(null, result);
    });
};