/*
 * currencies.js: Client for Symphony Currencies API
 *
 * (C) 2017 4LOOP Inc.
 */

var Client = require('./client').Client,
    util = require('util');

var Currencies = exports.Currencies = function (options) {
    Client.call(this, options);
}; // Apps

util.inherits(Currencies, Client);


Currencies.prototype.viewall = function (callback) {
    if (!this.options.userAuthKey) {
        return callback(new Error('Symphony Error (userAuthKey parameter required)'));
    }else if(!this.options.accessCode){
        return callback(new Error('Symphony Error (accessCode parameter required)'));
    }else if(!this.options.accessKey){
        return callback(new Error('Symphony Error (accessKey parameter required)'));
    }

    this.request('GET', ['currencies'], this.options.accessCode, this.options.accessKey, this.options.userAuthKey, {}, callback, function (res, result) {
        callback(null, result);
    });
};
