/*
 * storetypes.js: Client for Symphony Store Types API
 *
 * (C) 2015 4LOOP Inc.
 */

var Client = require('./client').Client,
    util = require('util');

var StoreTypes = exports.StoreTypes = function(options) {
    Client.call(this, options);
};

util.inherits(StoreTypes, Client);


StoreTypes.prototype.viewall = function(callback) {
    if (!this.options.userAuthKey) {
        return callback(new Error('Symphony Error (userAuthKey parameter required)'));
    } else if (!this.options.accessCode) {
        return callback(new Error('Symphony Error (accessCode parameter required)'));
    } else if (!this.options.accessKey) {
        return callback(new Error('Symphony Error (accessKey parameter required)'));
    }

    this.request('GET', ['storetypes'], this.options.accessCode, this.options.accessKey, this.options.userAuthKey, {}, callback, function(res, result) {
        callback(null, result);
    });

};

StoreTypes.prototype.view = function(storetypeid, callback) {
    if (!this.options.userAuthKey) {
        return callback(new Error('Symphony Error (userAuthKey parameter required)'));
    } else if (!this.options.accessCode) {
        return callback(new Error('Symphony Error (accessCode parameter required)'));
    } else if (!this.options.accessKey) {
        return callback(new Error('Symphony Error (accessKey parameter required)'));
    }

    if (!storetypeid) {
        return callback(new Error('Symphony Error (storetypeid parameter required)'));
    }
    this.request('GET', ['storetypes', storetypeid], this.options.accessCode, this.options.accessKey, this.options.userAuthKey, {}, callback, function(res, result) {
        callback(null, result);
    });

};
