/*
 * country.js: Country for Symphony Apps API
 *
 * (C) 2017 4LOOP Inc.
 */

var Client = require('./client').Client,
    util = require('util');

var Timezones = exports.Timezones = function (options) {
    Client.call(this, options);
}; // Timezones

util.inherits(Timezones, Client);


Timezones.prototype.viewall = function (accessCode, accessKey, userAuthKey, callback) {
    if (!this.options.userAuthKey) {
        return callback(new Error('Symphony Error (userAuthKey parameter required)'));
    }else if(!this.options.accessCode){
        return callback(new Error('Symphony Error (accessCode parameter required)'));
    }else if(!this.options.accessKey){
        return callback(new Error('Symphony Error (accessKey parameter required)'));
    }
    
    this.request('GET', ['timezones'], this.options.accessCode, this.options.accessKey, this.options.userAuthKey, {}, callback, function (res, result) {
        callback(null, result);
    });
};
